[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStream.WriteWord

Write a word to the stream.

## Declaration

Source position: classesh.inc line 971

`public procedure TStream.WriteWord(`
`w: Word`
`);`

## Description

WriteWord writes the word W (i.e. 2 bytes) to the stream. This is a utility function which simply calls the Write function. The word can be read from the stream using the ReadWord function.

## Errors

If an error occurs when attempting to write, an EStreamError exception will be raised.

## See also

TStream.Write |  | Writes data from a buffer to the stream and returns the number of bytes written.
TStream.ReadWord |  | Read a word from the stream and return its value.
TStream.WriteByte |  | Write a byte to the stream.
TStream.WriteDWord |  | Write a DWord to the stream.
TStream.WriteAnsiString |  | Write an ansistring to the stream.